Upload an invoice
curl --request POST \
--url https://app.ezyshield.com.au/api/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://app.ezyshield.com.au/api/invoices"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://app.ezyshield.com.au/api/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "invoices",
"attributes": {
"status": "<string>",
"source": "<string>",
"original_file_name": "<string>",
"extracted_business_name": "<string>",
"extracted_business_abn": "<string>",
"extracted_account_name": "<string>",
"extracted_account_number": "<string>",
"extracted_account_bsb": "<string>",
"extracted_invoice_number": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Invoices
Upload an invoice
The invoice will be read, and the extracted supplier and payment details will be available once processed.
Requires the invoice:write ability.
POST
/
invoices
Upload an invoice
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
status, source, original_file_name, extracted_business_name, extracted_business_abn, extracted_account_name, extracted_account_number, extracted_account_bsb, extracted_invoice_number, created_at, updated_at Body
multipart/form-data
Invoice file to upload and extract supplier and payment details from. Must be a PDF, JPEG, or PNG up to 10MB.
Maximum string length:
10240Response
InvoiceResource
Show child attributes
Show child attributes
⌘I